import { inspect } from "util";
import { parse, toCss, tokenize } from "./style-expression-parser.js";
const inspectConfig = { showHidden: false, depth: null, colors: true };
const expression = "s; m { l }";
const tokenArray = tokenize(expression);
const ast = parse(tokenArray);
const css = toCss(":host", "padding", ast, (v) => `var(--gds-sys-space-${v})`);
console.log("---- TOKENS ----");
console.log(inspect(tokenArray, inspectConfig));
console.log("---- AST ----");
console.log(inspect(ast, inspectConfig));
console.log("---- CSS ----");
console.log(inspect(css, inspectConfig));
console.log("-------------");
